<template>
  <div class="msgBox">
    <div class="aside-title">
      <div>{{ this.$store.state.mapLayers.msgInfoData.line }}</div>
      <div @click="sendDataToParent()" class="closeMsg">X</div>
    </div>
    <div class="menuTable">
      <table>
        <tr>
          <td>异常信息：</td>
          <td>{{ this.$store.state.mapLayers.msgInfoData.msg }}</td>
        </tr>
        <tr>
          <td>异常地点：</td>
          <td>{{ this.$store.state.mapLayers.msgInfoData.point }}</td>
        </tr>
        <tr>
          <td>异常时间：</td>
          <td>{{ this.$store.state.mapLayers.msgInfoData.time }}</td>
        </tr>
        <tr>
          <td>数据来源：</td>
          <td>{{ this.$store.state.mapLayers.msgInfoData.source }}</td>
        </tr>


      </table>

    </div>
  </div>
</template>

<script>
import msgList from './msgList.js';



export default {
  components: {},
  props: {},
  data() {
    return {

    };
  },
  watch: {},
  mounted() {
  
  },
  methods: {
    sendDataToParent() {
      msgList.removeLabel();
      this.$emit('childData', '子组件数据');
    },

  },
};
</script>

<style lang="scss" scoped>
.msgBox {
  width: 100%;
  height: 100%;
  background: url(~@/assets/images/Screen/chartbg.png) no-repeat;
  background-size: 100% 100%;
  position: relative;
  border-radius: 5px;
  display: flex;
  flex-direction: column;

  .aside-title {
    box-sizing: border-box;
    padding-left: 30px;
    font-size: 15px;
    font-family: YouSheBiaoTiHei, YouSheBiaoTiHei-Regular;
    color: #fff;
    width: 100%;
    height: 45px;
    line-height: 35px;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    display: flex;

    .closeMsg {
      margin-left: 64%;
      cursor: pointer;
    }

    .closeMsg :hover {
      color: #409eff;
    }
  }

  .menuTable {
    margin: 5px;
    margin-top: 10px;
    text-align: center;
    flex: 1;
    overflow: auto;

    table {
      width: 100%;
      color: white;

      th {
        text-align: center;
        word-wrap: break-word;
        word-break: break-all;
      }

      td {
        word-wrap: break-word;
        word-break: break-all;
        line-height: 30px;
        border-bottom: 1px solid #409eff;
      }
    }
  }
}

/*滚动条整体样式*/
::-webkit-scrollbar {
  /*高宽分别对应横竖滚动条的尺寸*/
  width: 5px;
  height: 1px;
}

/*滚动条里面小方块*/
::-webkit-scrollbar-thumb {
  border-radius: 5px;
  -webkit-box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.2);
  background: #409eff;
}

/*滚动条里面轨道*/
::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.2);
  border-radius: 10px;
  background: rgba(237, 237, 237, 0.1);
}
</style>
